
// Online C++ Compiler - Build, Compile and Run your C++ programs online in your favorite browser

#include<iostream>
#include <string>
using namespace std;

int main()
{
    string s;
    cin >>s;
    for(int i = s.size()-1; i >= 0; i--){
        if(s[i]=='5'){
            cout <<2;
        }else if(s[i]=='2'){
            cout <<5;
        }else if(s[i]!='0'){
            cout <<s[i]-'0';
        }
    }
    return 0;
}
